BooleanClause (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.BooleanClause class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class BooleanClause

    java.lang.Object
      org.apache.lucene.search.BooleanClause

All Implemented Interfaces:
  Serializable

    public class BooleanClause

extends Object
implements Serializable

A clause in a BooleanQuery.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `BooleanClause.Occur` Specifies how clauses are to occur in matching documents.

Constructor Summary
`BooleanClause(Query query, BooleanClause.Occur occur)` Constructs a BooleanClause.

Method Summary
`boolean` | `equals(Object o)` Returns true iff `o` is equal to this.
`BooleanClause.Occur` | `getOccur()`
`Query` | `getQuery()`
`int` | `hashCode()` Returns a hash code value for this object.
`boolean` | `isProhibited()`
`boolean` | `isRequired()`
`void` | `setOccur(BooleanClause.Occur occur)`
`void` | `setQuery(Query query)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BooleanClause

    public BooleanClause(Query query,
                         BooleanClause.Occur occur)

  Constructs a BooleanClause.

Method Detail

### getOccur

    public BooleanClause.Occur getOccur()

### setOccur

    public void setOccur(BooleanClause.Occur occur)

### getQuery

    public Query getQuery()

### setQuery

    public void setQuery(Query query)

### isProhibited

    public boolean isProhibited()

### isRequired

    public boolean isRequired()

### equals

    public boolean equals(Object o)

  Returns true iff `o` is equal to this.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.